Document (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class Document

    java.lang.Object
      edu.harvard.hul.ois.jhove.Document

    public class Document

extends java.lang.Object

This class encapsulates information about format specification documents.

See Also:
  `DocumentType`

Constructor Summary
`Document(java.lang.String title, DocumentType type)` Creates a Document with a given title and one of the predefined DocumentTypes.

Method Summary
`java.util.List` | `getAuthor()` Returns a List of Agents, each representing an author of this Document.
`java.lang.String` | `getDate()` Returns the date of this Document
`java.lang.String` | `getEdition()` Returns informaton on the edition of this Document
`java.lang.String` | `getEnumeration()` Returns the enumeration (e.g., serial volume and number) of this Document
`java.util.List` | `getIdentifier()` Returns the list of formal Identifiers for this Document.
`java.lang.String` | `getNote()` Returns the note associated with this Document
`java.lang.String` | `getPages()` Returns pagination information for this Document
`java.util.List` | `getPublisher()` Returns a List of Agents, each representing a publisher of this Document.
`java.lang.String` | `getTitle()` Returns the title of this Document
`DocumentType` | `getType()` Returns one of the predefined DocumentTypes as the type of this Document
`void` | `setAuthor(Agent author)` Adds an author to the list of authors
`void` | `setDate(java.lang.String date)` Sets the date of this Document
`void` | `setEdition(java.lang.String edition)` Sets edition information for this Document
`void` | `setEnumeration(java.lang.String enm)` Sets enumeration information (e.g., serial volume and number) for this Document
`void` | `setIdentifier(Identifier identifier)` Adds an Identifier to the list of identifiers
`void` | `setNote(java.lang.String note)` Sets a note giving additional information about this Document
`void` | `setPages(java.lang.String pages)` Sets pagination information for this Document
`void` | `setPublisher(Agent publisher)` Adds a publisher to the list of publishers

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Document

    public Document(java.lang.String title,
                    DocumentType type)

  Creates a Document with a given title and one of the predefined DocumentTypes.

Method Detail

### getAuthor

    public java.util.List getAuthor()

  Returns a List of Agents, each representing an author of this Document. Returns an empty list if no authors have been listed.

  See Also:
    `Agent`

### getDate

    public java.lang.String getDate()

  Returns the date of this Document

### getEdition

    public java.lang.String getEdition()

  Returns informaton on the edition of this Document

### getEnumeration

    public java.lang.String getEnumeration()

  Returns the enumeration (e.g., serial volume and number) of this Document

### getIdentifier

    public java.util.List getIdentifier()

  Returns the list of formal Identifiers for this Document. If no Identifiers are given, returns an empty list.

### getNote

    public java.lang.String getNote()

  Returns the note associated with this Document

### getPages

    public java.lang.String getPages()

  Returns pagination information for this Document

### getPublisher

    public java.util.List getPublisher()

  Returns a List of Agents, each representing a publisher of this Document. If no publishers are listed, returns an empty list.

### getTitle

    public java.lang.String getTitle()

  Returns the title of this Document

### getType

    public DocumentType getType()

  Returns one of the predefined DocumentTypes as the type of this Document

### setAuthor

    public void setAuthor(Agent author)

  Adds an author to the list of authors

### setDate

    public void setDate(java.lang.String date)

  Sets the date of this Document

### setEdition

    public void setEdition(java.lang.String edition)

  Sets edition information for this Document

### setEnumeration

    public void setEnumeration(java.lang.String enm)

  Sets enumeration information (e.g., serial volume and number) for this Document

### setIdentifier

    public void setIdentifier(Identifier identifier)

  Adds an Identifier to the list of identifiers

### setNote

    public void setNote(java.lang.String note)

  Sets a note giving additional information about this Document

### setPages

    public void setPages(java.lang.String pages)

  Sets pagination information for this Document

### setPublisher

    public void setPublisher(Agent publisher)

  Adds a publisher to the list of publishers

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD